Ticket #242 (closed enhancement: fixed)

Opened 13 years ago

Last modified 13 years ago

email file attachment size limitation.

Reported by: cdelacruz@ASTRO.COLUMBIA.EDU Assigned to: cdelacruz@astro.columbia.edu
Priority: major Component: mail
Keywords: Cc: fernando@astro.columbia.edu, gbryan@astro.columbia.edu, chuckh@astro.columbia.edu, dkg@astro.columbia.edu

Description

Chuck Hailey was trying to transfer a 10mb file through his astro email account and it was rejected. If there is a file size limitation we should definitely make note of it on the wiki. I'll follow up on this ticket.

Carlos

Change History

08/25/06 17:28:06 changed by cdelacruz@ASTRO.COLUMBIA.EDU

 Carlos,
      this is something that needs to be changed fairly expeditiously. Clearly I don't expect it to be changed
as you are about to walk out the door, but the idea that astrophysicists would not send files larger than 10MB
on a regular basis is just absurd. Moreover cubmail is too slow (after 20 minutes it still has not approved my
submission), nor should we have to change to a university server to send out large messages. We do it all the
time exchanging data and the like. This is particularly imporant when one is on the road, as many of us are all the time. I cannot send important files that others were expecting because of this constraint, which certainly did not exist on the old system.  So please fix this when you get a chance. In the 21st century that is not a
reasonable constraint. Thanks, Chuck

Carlos De La Cruz wrote:
> Hey Chuck,
>
> Yes, there is a file restriction on the attachment size---I'm not sure
> what it is, but you may have better luck sending it through your
> Columbia account for now. I'll review the file size restriction
> limitation with the rest of the group. Thanks for bringing it to my
> attention.
>
> Carlos
>
> Charles J. Hailey wrote:
>   
>> Carlos,
>>      I'm on the road and I've tried to send a .ppt document from both
>> the airport and a hotel. I get
>> a message saying that the server can't handle it because it is over
>> 10Mb. Is that a CAL constraint?
>> If so, it seems it ought to be bigger, since that's not a very big
>> file for a talk. ch
>>
>>
>>
>>
>>     
>
>
>
>
>
>   
!DSPAM:44ef686a3562123119244! 

08/25/06 17:42:38 changed by fernando@ASTRO.COLUMBIA.EDU

  • cc set to fernando@astro.columbia.edu, gbryan@astro.columbia.edu.

08/25/06 20:52:38 changed by jonathan

At least for incoming (not sure if outgoing is precisely equivalent), see ticket #154 for details of the incoming size limit being around 10 MB.

08/26/06 12:42:50 changed by dkg@ASTRO.COLUMBIA.EDU

Yes, we limit the queues (incoming and outgoing) to 10MB message size. Larger files should be transferred in some other way (http, scp, etc).

08/28/06 10:41:19 changed by cdelacruz@ASTRO.COLUMBIA.EDU

  • cc changed from fernando@astro.columbia.edu, gbryan@astro.columbia.edu to fernando@astro.columbia.edu, gbryan@astro.columbia.edu, chuckh@astro.columbia.edu.

Chuck

I've posted your email/comments on this ticket (https://docs.astro.columbia.edu/ticket/242). Please feel free to add comments or monitor this discussion.

Carlos

Carlos,
    somebody tried to send me an 8Mb message and send it bounced. Sure enough I tested myself now,
and we cannot receive messages of that size either. This has got to be changed asap. There is no way
to send/receive messages of decent size and this is seriously fucking up my research now. This needs
to be changed asap next week. If this is a problem then you, me and David Helfand need to have a meeting,
because this policy is totally unaccepable. And for the record, cubmail won't take anything over 3MB. ch 

08/28/06 11:24:27 changed by dkg@ASTRO.COLUMBIA.EDU

  • cc changed from fernando@astro.columbia.edu, gbryan@astro.columbia.edu, chuckh@astro.columbia.edu to fernando@astro.columbia.edu, gbryan@astro.columbia.edu, chuckh@astro.columbia.edu,dkg@astro.columbia.edu.

I've raised the postfix's message_size_limit to 50MB. Note that some MIME encodings will increase the size of a message body by a not insignificant amount (e.g. Base64 encoding inflates by ~33%). It is the encoded size of the message that counts, so transfers of Base64-encoded binary data will in practice be limited to ~33MB.

08/28/06 11:28:03 changed by fernando@ASTRO.COLUMBIA.EDU

Daniel, thanks a lot for that.

08/28/06 14:39:45 changed by fernando@ASTRO.COLUMBIA.EDU

  • cc changed from fernando@astro.columbia.edu, gbryan@astro.columbia.edu, chuckh@astro.columbia.edu,dkg@astro.columbia.edu to fernando@astro.columbia.edu, gbryan@astro.columbia.edu, chuckh@astro.columbia.edu, dkg@astro.columbia.edu.
  • status changed from new to closed.
  • resolution set to fixed.

08/28/06 18:12:41 changed by dkg@ASTRO.COLUMBIA.EDU

Please see also Transferring Large Data, which suggests several alternate strategies for datasets of the size discussed in this ticket.